package com.srs.comprehensive.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.yulichang.base.MPJBaseMapper;
import com.srs.comprehensive.domain.CphTotalScore;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CphTotalScoreMapper extends MPJBaseMapper<CphTotalScore>
{
    void testFor(@Param("in_stu_year_id") int in_stu_year_id);

    /**
     * 查询总分记录表
     *
     * @param id 总分记录表主键
     * @return 总分记录表
     */
    public CphTotalScore selectCphTotalScoreById(Long id);

    /**
     * 查询总分记录表列表
     *
     * @param cphTotalScore 总分记录表
     * @return 总分记录表集合
     */
    List<CphTotalScore> selectCphTotalScoreList(CphTotalScore cphTotalScore);

    /**
     * 新增总分记录表
     *
     * @param cphTotalScore 总分记录表
     * @return 结果
     */
    int insertCphTotalScore(CphTotalScore cphTotalScore);

    /**
     * 修改总分记录表
     *
     * @param cphTotalScore 总分记录表
     * @return 结果
     */
    int updateCphTotalScore(CphTotalScore cphTotalScore);

    /**
     * 删除总分记录表
     *
     * @param id 总分记录表主键
     * @return 结果
     */
    int deleteCphTotalScoreById(Long id);

    /**
     * 批量删除总分记录表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphTotalScoreByIds(Long[] ids);
}
